<div class="modal fade" id="generuj-odbicia-modal">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <?php if('SGB' == trim($this->request->getSession()->read('grupaLicencji'))) { ?>
				    <h4 class="modal-title">Dodaj obecność</h4>
                <?php } else { ?>
                    <h4 class="modal-title">Dodaj odbicie</h4>
                <?php } ?>
			</div>
			<div class="modal-body" style="height: 300px;">
				<input name="data[bGenerujOdbicie][Gid]" type="hidden" id="bGenerujOdbicieGid">
				<input name="data[bGenerujOdbicie][Nrewid]" type="hidden" id="bGenerujOdbicieNrewid">
				<input name="data[edytuj]" value="0" type="hidden" id="bGenerujOdbicieEdytuj">
				<div class="row form-horizontal"></div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default" data-dismiss="modal">Anuluj</button>
				<button type="button" class="btn btn-success" id="generuj-odbicie-submit">Zapisz</button>
			</div>
		</div><!-- /.modal-content -->
	</div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<script>
	$('#generuj-odbicie-submit').click(function(){

		var formData = {};
		formData.bGenerujOdbicieGid = $('#bGenerujOdbicieGid').val();
		formData.bGenerujOdbicieTyp = $('#bGenerujOdbicieTyp').val();
		formData.bGenerujOdbicieNrewid = $('#bGenerujOdbicieNrewid').val();
		formData.bGenerujOdbicieData = $('#bGenerujOdbicieData').val();
		formData.bGenerujOdbicieCzas = $('#bGenerujOdbicieCzas').val();
		formData.bGenerujOdbicieRodzaj = $('#bGenerujOdbicieRodzaj').val();
        formData.bGenerujOdbicieRodzajPracy = $('#bGenerujOdbicieRodzajPracy input[name="data[bGenerujOdbicie][bRodzajPracy]"]:checked').val();
		formData.edytuj = $('#bGenerujOdbicieEdytuj').val();

		$.ajax({
			type: 'POST',
			url: local_url + 'ajax/odbicia/dodaj_odbicie',
			data: formData,
		}).done(function (response) {
			$('#generuj-odbicia-modal').modal('hide');
			hidden_loader_default();
			response = JSON.parse(response);
			if(response['error'] != undefined) {
				showError(response['error'], 6500);
			} else {
				hideMessages();
				showSuccess(response['message']);
				daj_odbicia_pracownika('<?=$nrewid?>', formData, '<?=$tab?>');
			}
		});

	});
</script>
